#!/bin/sh
#
# $FreeBSD: ports/ftp/proftpd/files/proftpd.sh.in,v 1.1 2005/06/22 18:48:39 flz Exp $
#

# PROVIDE: proftpd
# REQUIRE: DAEMON
# BEFORE: LOGIN
# KEYWORD: FreeBSD shutdown

#
# Add the following lines to /etc/rc.conf to enable proftpd:
#
#proftpd_enable="YES"
#
# See proftpd(8) for flags
#

. /etc/rc.subr

name=proftpd
rcvar=`set_rcvar`

command=/usr/local/sbin/proftpd
pidfile=/var/run/proftpd.pid
required_files=/usr/local/etc/proftpd.conf

stop_postcmd=stop_postcmd

stop_postcmd()
{
  rm -f $pidfile
}

# set defaults

proftpd_enable=${proftpd_enable:-"NO"}
proftpd_flags=${proftpd_flags:-""}

load_rc_config $name
run_rc_command "$1"
